gem — все вопросы

1ответ
4 голоса
невозможно обновить гем на Mac OSX - Gem :: RemoteFetcher :: FetchError
Jon-MacBook-Pro:rubygems-1.3.7 jon$ sudo gem install rails Password: ERROR: While executing gem ... (Gem::RemoteFetcher::FetchError) SocketError: getaddrinfo: nodename nor servname provided, or n
1ответ
4 голоса
Как я могу настроить gem только для использования системных гемов?
Я хочу настроить gem на использование только системных гемов, но не тех, что в $HOME/.gem. Это потому, что я пишу скрипт, который будет обращаться к Gem.path, и я не хочу, чтобы он возвращал путь к
1ответ
4 голоса
Скажите RubyGems, чтобы всегда искать удаленные драгоценные камни
есть ли способ сказать rubygems всегда искать удаленные гемы (вместо локальных)? Я попытался добавить следующую строку в мой ~/.gemrc gem: --remote но проблема в том, что когда я делаю gem list
2ответа
4 голоса
Разработать гем: добавить модуль после начальной установки
Это не может быть для разработки , но мне интересно, как добавить дополнительный модуль в гем, который уже был установлен , когда первоначальная установка не включала указанный модуль? В случае
3ответа
4 голоса
Как узнать, какой форк /оригинал драгоценного камня установлен в моей системе?
Когда я добавляю gem 'delayed_job' в свой гемфайл, как узнать, получу ли я communityidea /delayed_job или tobi /delayed_job ? Кроме того, есть ли какой-нибудь способ проверить в списке уже уст
1ответ
4 голоса
Bundler не загружает правильный Gemfile
Я устанавливаю сервер Ruby CI, который извлекает мои git-репозитории Rails из Github, и устанавливаю гемы с помощью Bundler. Сервер CI имеет сам Gemfile (так же как и приложение Rails). Пока все хор
2ответа
4 голоса
Как обновить команду gem в JRuby?
Как обновить версию gem, которую использует JRuby? JRuby использует gem (1.5.1), и мы хотели бы обновить его до 1.8.7. Мы хотим, чтобы гемы были установлены в Ruby /gems Мы бежим: bin/jrub
2ответа
4 голоса
Перечисления в Rails: столбец String или Integer?
В настоящее время я ищу правильный Rails для перечислений. Я уже пробовал enum_simulator has_enum Оба используют строковый столбец в базе данных для хранения данных перечисления. Р
1ответ
4 голоса
Как установить целевой путь для установки пакета?
в моем домашнем ящике команда bundle install запрашивает пароль и устанавливает драгоценные камни в /var/lib/gems/1.8/gems /... но в офисе они установлены в моем ~ /.bundler /cache /git или, по
2ответа
4 голоса
gem_original_require ': нет такого файла для загрузки - sinatra (LoadError)
Я работаю на своей локальной машине. Если я использую приложение Sinatra, у меня нет проблем с добавлением этой строки в myapp.rb require 'sinatra' Когда я иду к консоли и запускаю irb -r m
1ответ
4 голоса
Ruby /Rails: как я могу создать несколько записей в salesforce с помощью одного вызова API через гем rforce?
Я использую rforce гем для создания записей в моей базе данных salesforce. Пример для создания записей в документации rforce: opportunity = [ :type, 'Opportunity',
1ответ
4 голоса
Почему «gem» и «sudo gem» имеют разные установочные каталоги?
Я помню, что использовал gem install rails для установки Rails, но сегодня, когда я хочу установить другой гем, набрав gem install ruby-recaptcha он терпит неудачу, говоря:    У вас нет прав
1ответ
4 голоса
Проблема при загрузке драгоценного камня в Geminabox
Я установил Rack-сервер с Geminabox, который работает на моей машине по адресу http: //localhost: 9292 . Теперь я пытался загрузить гем на сервер (из другой вкладки терминала, действующего как клие
1ответ
4 голоса
'gem install bundle' что-то не так
Я хочу установить ruby. Моя ОС Centos5.5. Когда я gem install bundle это что-то не так    ОШИБКА: Команда загрузки: установить (LoadError)       нет такого файла для загрузки - zlib   ОШИБКА: п
1ответ
4 голоса
Как добавить изображение из моей файловой системы в модель с помощью Paperclip в Rails?
Я создаю приложение для просмотра фильмов. Я кэшировал много данных фильма из API. По сути, у меня есть модель фильма, которая имеет атрибут :image для Paperclip. Я сделал кеш удаленного изображения
1ответ
4 голоса
Должна ли полезная версия для гемов иметь версию 1.0?
Нашел этот пост https://stackoverflow.com/questions/7139/should-a-first-release-be-an-0-1-version-or-1-0b , но речь не идет о Ruby Gems. Я спрашиваю о лучшей и распространенной практике для Ruby Ge
1ответ
4 голоса
Обновление пакета застряло
У меня проблемы с выполнением bundle update Кажется, они застряли на этих 3-х странных жемчужинах. ["spicycode-rcov", "jnunemaker-crack", "tenderlove-frex"] Я понятия не имею для чего они откуд
1ответ
4 голоса
Пытаетесь установить резиновый камень, Нокогири все испортил?
Я пытаюсь установить резиновый камень. Пару дней назад я дурачился с Нокогири, но не смог правильно его установить. Я забыл об этом, потому что это не было актуальным. Ну, теперь я пытаюсь установит
1ответ
4 голоса
Проблема при установке Ruby Rails на CentOs
Когда я пытаюсь установить Ruby Rails на моем сервере Centos. Когда я вхожу в Bundle install, я получаю ошибку Произошла ошибка при установке pg (0.14.1), и Bundler не может продолжить. Убедитесь
1ответ
4 голоса
Puppet - контроль версии установленного пакета
У меня есть следующее: class compass { package { 'ruby-dev': ensure => installed, } package { ["rubygems"]: ensure => 'installed' } package { ['sass']:
1 2 3 4 5

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132